Subject: [MMUSIC] Error in RFC 3407?

From: Marc Petit-Huguenin <[email-masked]>
Date: Tue, 20 Dec 2011 09:16:50 -0800

The example at the bottom of page 5 looks incorrect:

"v=0
 o=- 25678 753849 IN IP4 128.96.41.1
 s=
 c=IN IP4 128.96.41.1
 t=0 0
 m=audio 3456 RTP/AVP 18 96
 a=rtpmap:96 telephone-event
 a=fmtp:96 0-15,32-35
 a=sqn: 0
 a=cdsc: 1 audio RTP/AVP 0 18 96
 a=cpar: a=fmtp:96 0-16,32-35
 a=cdsc: 4 image udptl t38
 a=cdsc: 5 image tcp t38"

AFAIK the clock rate is mandatory, so the a=rtpmap line should be:

a=rtpmap:96 telephone-event/1000

If I do not receive emails stating that I am wrong in the next few days, I will
fill an errata.

Thanks.

- -- 
Marc Petit-Huguenin
Personal email: [email-masked]
Professional email: [email-masked]
Blog: http://blog.marc.petit-huguenin.org

---

From: "Schwarz, Albrecht (Albrecht)" <[email-masked]>
Date: Tue, 20 Dec 2011 18:50:16 +0100

The rate parameter for telephone events is OPTIONAL (RFC 4733, ex 2833).
See § 7.1.2/RFC 4733.
The concept as such, as well as the default value, makes perfectly sense (e.g., also from an historical point of narrowband voice codecs).

Thus, RFC 4733/2833 takes precedence over RFC 4566/2327.

If you want to enhance the RFCs, then that relation could be added.

-Albrecht
ALCATEL-LUCENT

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Marc Petit-Huguenin
> Sent: Dienstag, 20. Dezember 2011 18:17
> To: [email-masked]
> Subject: [MMUSIC] Error in RFC 3407?
> 
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA256
> 
> If I do not receive emails stating that I am wrong in the 
> next few days, I will fill an errata.
> 
> Thanks.
> 
> - --
> Marc Petit-Huguenin
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.11 (GNU/Linux)
> 
> iQIcBAEBCAAGBQJO8ML5AAoJECnERZXWan7E/nEP/2Bg12DvPQcFrh3QdiSTZ9qT
> miLRM48XZ6LHwR+WubsGkSOesPtrwtfd7zgqHwt+lh415izps58gYtHD9yt9ozMx
> cFoWAZpFMcOd5lVlSDSU+83l9I5TSAO/+W+HFFlNIwa9/VKJnVvBRjVolHxPj1Yb
> DYSwkzp4X73z6j/bHElH4pjVBXnlXPAwvqH1buRVn9h3BKQA9v3/1PN7nMO+ERpY
> z382+a8VwDUmv3aWAmpVmX3jjMhAr1/pngiCvEV0i7zGbMtYjGt8uiAQiyTBCgRa
> 8Oc4DkMfdLDDyUta0eTlBO/6+p5AZ+9ulEl4crn/gtwqjUUEoNOhHoNOJhMa+GlM
> FJ6D9f5NMxaBysC1xY7RmwmrERMBuKhL/tTRvxg/D+7T0zj8SHK8XS4Cdd95qV6t
> AsARa42AXgap/w5t0GGoBYBNjEo9TtlhsGvJKgepxEYMaf5hRCs5TadrMrEUCK3G
> fg2CdH/5X/s1BBNmRBmRCzAKGsD9N6qqwZARzzfBj+Ee2jRwh6VVyXQlJZ7BQ1i9
> e2bFLEwWII0hMVc/RKWA4lrQqWzwpvZ/dv35F5NtVX/GbOFuS9ItQ0J1X0gISxEO
> yTt/kY+ei8aNdoRnbmFC/OGgHYtEMy1UApYUCef9uUrNYURl4YpaUOvvYgoiELXX
> 0J9YY4iGmjTcYm0C9gqF
> =dpRU
> -----END PGP SIGNATURE-----
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic
>

---

From: Marc Petit-Huguenin <[email-masked]>
Date: Tue, 20 Dec 2011 09:58:23 -0800

> The rate parameter for telephone events is OPTIONAL (RFC 4733, ex 2833).

In the MIME type it is optional with adefault value of 8000, but the rate
parameter in rtpmap is not optional (section 6 of RFC 4566):

"a=rtpmap:<payload type> <encoding name>/<clock rate> [/<encoding
         parameters>]"

- -- 
Marc Petit-Huguenin